Summary:	Visual management of SSH connections
Summary(pl.UTF-8):	Wizualna nakładka na klienta SSH
Name:		secpanel
Version:	0.6.1
Release:	5
Epoch:		1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/secpanel/%{name}-%{version}.tgz
# Source0-md5:	c94e598bc66d38421333b74a28abaa17
Source1:	%{name}.desktop
Source2:	%{name}.1
Source3:	%{name}.xpm
Patch0:		%{name}-data_location.patch
Patch1:		%{name}-title.patch
Patch2:		%{name}-distkeys_with_port.patch
Patch3:		%{name}-xfce4terminal.patch
URL:		http://themediahost.de/secpanel/
Requires:	tk
Suggests:	clusterssh
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}

%description
SecPanel serves as a graphical user interface for managing and running
SSH (Secure Shell) and SCP (Secure Copy) connections. Note: SecPanel
is not a new implementation of the SecureShell protocol or the ssh
software-suite.

%description -l pl.UTF-8
SecPanel jest graficznym interfejsem pozwalającym uruchamiać i
zarządzać sesjami SSH (Secure Shell) i SCP (Secure Copy). Uwaga:
SecPanel nie jest nową implementacją protokołu SecureShell.

%prep
%setup -c -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_appdir},%{_desktopdir},%{_mandir}/man1,%{_pixmapsdir}}

cd usr/local
install bin/secpanel $RPM_BUILD_ROOT%{_bindir}
cp -r lib/secpanel/* $RPM_BUILD_ROOT%{_appdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1/
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/secpanel
%dir %{_appdir}
%attr(755,root,root) %{_appdir}/convert_profile.tcl
%attr(755,root,root) %{_appdir}/dppw.tcl
%attr(755,root,root) %{_appdir}/gui.tcl
%attr(755,root,root) %{_appdir}/secpanel*
%attr(755,root,root) %{_appdir}/spdistkey
%{_appdir}/convert_history.tcl
%{_appdir}/default*
%{_appdir}/export_profiles.tcl
%{_appdir}/images
%{_appdir}/termdefs.txt
%{_desktopdir}/secpanel.desktop
%{_pixmapsdir}/*xpm
%{_mandir}/man1/*.1*
%changelog
* Fri Apr 11 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/secpanel.git;a=log;h=master

* Fri Apr 11 2014 Paweł Gołaszewski <blues@pld-linux.org> cf47f5d
- S: clusterssh

* Mon Feb 11 2013 Paweł Gołaszewski <blues@pld-linux.org> 13ab26d
- release 4

* Mon Feb 11 2013 Paweł Gołaszewski <blues@pld-linux.org> 309bc75
- support for xfce4-terminal

* Sun Aug 12 2012 Paweł Gołaszewski <blues@pld-linux.org> 90e36bd
- rel.2: icon and manual from debian

* Sun Aug 12 2012 Paweł Gołaszewski <blues@pld-linux.org> 0cc6987
- Release 2: icon and manual from debian

* Sun Aug 12 2012 Paweł Gołaszewski <blues@pld-linux.org> 674c7e0
- Remove TODO file

* Sat Jun 30 2012 Paweł Gołaszewski <blues@pld-linux.org> 25fc547
- rel.2 - executable spdistkey for keys distribution

* Mon Apr 26 2010 lisu <lisu@pld-linux.org> dd1f72e
- up to 0.6.1
- new Source0 URL
- more verbose files

* Mon Feb 22 2010 lisu <lisu@pld-linux.org> 987ef88
- updated for 0.6.0

* Mon Feb 22 2010 lisu <lisu@pld-linux.org> 140c805
- up to 0.6.0
- patches updated
- chnages in %%files

* Thu Oct 29 2009 Paweł Gołaszewski <blues@pld-linux.org> 11bf5f4
- TODO

* Fri Apr 10 2009 Paweł Gołaszewski <blues@pld-linux.org> d7253a8
- added distkey_with_port patch - allow distribute keys when ssh port is
  not standard

* Fri Apr 10 2009 Paweł Gołaszewski <blues@pld-linux.org> 442d049
- 0.5.4

* Fri Mar 14 2008 Paweł Gołaszewski <blues@pld-linux.org> 8a14bb4
- 0.5.3

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 444abfd
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Oct 07 2007 Paweł Gołaszewski <blues@pld-linux.org> ef88e44
- 0.5.2 - new homepage, new source

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 1af73f4
- updated Source0 URL

* Thu May 17 2007 Bartłomiej Zimoń <cactus@pld-linux.org> d052cb9
- only R: tk by blekot

* Wed May 16 2007 Paweł Gołaszewski <blues@pld-linux.org> a801670
- URL fixed

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dc707b7
- tabs in preamble

